<?php
/* Mantenimiento de los registros de la tabla FCO_RecibosEstadoLog redefinidos por el usaurio */
class FCO_RecibosEstadoLogDP extends BaseFCO_RecibosEstadoLogDP
{
    public static function recuperarId( $i_IdDocRecibo )
    {
        $s_Sql = "SELECT IF( MAX( IdEstadoLog) IS NULL, 1, MAX( IdEstadoLog ) + 1 ) i_Id FROM FCO_RecibosEstadoLog WHERE IdDocRecibo=$i_IdDocRecibo;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>